# Error Codes

This error codes is additional information to explain what happened when some errors occured. The following table describe the code which may appear when working with OCA EMAIL Gateway. If an error is not listed in the table, going back to HTTP status codes above in order to determine the best way to address the issues.

<table><thead><tr><th width="86">Code </th><th width="164">Text</th><th>Description</th></tr></thead><tbody><tr><td><mark style="color:red;">13</mark></td><td>Internal Error</td><td>Corresponds with HTTP 500.<br>An unknown internal error occured</td></tr><tr><td><mark style="color:red;">17</mark></td><td>Invalid Authentication Credentials</td><td>Corresponds with HTTP 401.<br>It indicates the credential is missing or incorrect</td></tr><tr><td><mark style="color:red;">19</mark></td><td>Missing Authorization Header</td><td>Corresponds with HTTP 406.<br>It indicates Authorization header is not set properly</td></tr><tr><td><mark style="color:red;">39</mark></td><td><em>[object]</em></td><td>Corresponds with HTTP 406.<br>There are incorrects or missing parameter in request body, it is like the message_value is not same as the template message</td></tr><tr><td><mark style="color:red;">41</mark></td><td>User Is Not Exist</td><td>Corresponds with HTTP 404.<br>The certain user setting is not found</td></tr><tr><td><mark style="color:red;">51</mark></td><td>Account Expired</td><td>Corresponds with HTTP 401.<br>It indicates the client Account is Expired.</td></tr><tr><td><mark style="color:red;">55</mark></td><td>Your Quota Is not Enough</td><td>Corresponds with HTTP 401.<br>It indicates the client Quota is Runs Out.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ocaindonesia.co.id/email-api/v1/response-code/error-codes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
